
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700;900&family=Rubik+Glitch&display=swap');
.grid { display: grid; grid-template-columns: repeat(60, 10px); }
.cell { width: 10px; height: 10px; border: 1px solid rgba(0, 0, 0, 0.534); background-color: rgba(14, 227, 255, 0.171); }
.alive{ 
        background: linear-gradient(-90deg, #2bcbf3, #23d5d5);
}


.container1{
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
}

body{
    background-image: url(/img/bg.png);
    background-size: cover;
    background-repeat: none;
}

.grid{
    width: 100%;
}

.container2{
    display: flex;
    flex-direction: column;
    width: 100%;
    margin-left: 50px;
}

.metrics{
    display: flex;
    flex-direction: column;
    width: 100%;
    justify-content: space-around;
    height: 100%;
}

.metric{
    min-height: 100px;
    padding:5%;
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    color: rgb(226, 226, 226);  
    font-size: 40px;
    font-family: 'Rubik Glitch', system-ui;;
    align-items: center;
    background: rgba( 74, 144, 226, 0.45 );
    box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
    backdrop-filter: blur( 9.5px );
    -webkit-backdrop-filter: blur( 9.5px );
    border-radius: 10px;
    border: 1px solid rgba( 255, 255, 255, 0.18 );
    
}

.container3{
    display: flex;
    flex-direction: row;
    width: 70%;
    padding-top: 100px;
}
.actions{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    min-width: 100%;
}
.actions > button{
    padding: 20px;
    display: flex;
}

button,
button::after { 
 padding: 10px 10px;
 font-size: 16px;
 background: linear-gradient(45deg, transparent 5%, #0167ff 5%);
 border: 0;
 color: #fff;
 letter-spacing: 3px;
 line-height: 1;
 box-shadow: 6px 0px 0px #00e6f6;
 outline: transparent;
 position: relative;
}

button::after {
 --slice-0: inset(50% 50% 50% 50%);
 --slice-1: inset(80% -6px 0 0);
 --slice-2: inset(50% -6px 30% 0);
 --slice-3: inset(10% -6px 85% 0);
 --slice-4: inset(40% -6px 43% 0);
 --slice-5: inset(80% -6px 5% 0);
 content: "HOVER ME";
 display: block;
 position: absolute;
 top: 0;
 left: 0;
 right: 0;
 bottom: 0;
 background: linear-gradient(45deg, transparent 3%, #00e6f6 3%, #00e6f6 5%, #01ff6b 5%);
 text-shadow: -3px -3px 0px #f8f005, 3px 3px 0px #00e6f6;
 clip-path: var(--slice-0);
}

button:hover::after {
 animation: 1s glitch;
 animation-timing-function: steps(2, end);
}

@keyframes glitch {
 0% {
  clip-path: var(--slice-1);
  transform: translate(-20px, -10px);
 }

 10% {
  clip-path: var(--slice-3);
  transform: translate(10px, 10px);
 }

 20% {
  clip-path: var(--slice-1);
  transform: translate(-10px, 10px);
 }

 30% {
  clip-path: var(--slice-3);
  transform: translate(0px, 5px);
 }

 40% {
  clip-path: var(--slice-2);
  transform: translate(-5px, 0px);
 }

 50% {
  clip-path: var(--slice-3);
  transform: translate(5px, 0px);
 }

 60% {
  clip-path: var(--slice-4);
  transform: translate(5px, 10px);
 }

 70% {
  clip-path: var(--slice-2);
  transform: translate(-10px, 10px);
 }

 80% {
  clip-path: var(--slice-5);
  transform: translate(20px, -10px);
 }

 90% {
  clip-path: var(--slice-1);
  transform: translate(-10px, 0px);
 }

 100% {
  clip-path: var(--slice-1);
  transform: translate(0);
 }
}
